# For complete documentation of this file, please see Geany's main documentation
[styling]
# foreground;background;bold;italic
default=default
comment=0x333333
#comment
commentline=0x333333
commentdoc=commentdoc
number=number
#keywords color
word=0x0000ff
word2=word2
#string
string=0x990000
character=string
uuid=0x404080
preprocessor=preprocessor
operator=operator
identifier=default
stringeol=stringeol
# @"verbatim"
verbatim=0x101030
# (/regex/)
regex=0x105090
commentlinedoc=commentdoc,bold
commentdockeyword=commentdoc,bold,italic
commentdockeyworderror=commentdoc
globalclass=type
# whether arguments of preprocessor commands should be styled (only first argument is used)
# 1 to enable, 0 to disable
styling_within_preprocessor=1;0;false;false

[keywords]
# all items must be in one line
primary=AccountBalance AccountCredit AccountCompany AccountCurrency AccountEquity AccountFreeMargin AccountFreeMarginCheck AccountFreeMarginMode AccountLeverage AccountMargin AccountName AccountNumber AccountProfit AccountServer AccountStopoutLevel AccountStopoutMode Alert ArrayBsearch ArrayCopy ArrayCopyRates ArrayCopySeries ArrayDimension ArrayGetAsSeries ArrayInitialize ArrayIsSeries ArrayMaximum ArrayMinimum ArrayRange ArrayResize ArraySetAsSeries ArraySize ArraySort CharToStr Comment DayDayOfWeek DayOfYear DoubleToStr FileClose FileDelete FileFlush FileIsEnding FileIsLineEnding FileOpen FileOpenHistory FileReadArray FileReadDouble FileReadInteger FileReadNumber FileReadString FileSeek FileSize FileTell FileWrite FileWriteArray FileWriteDouble FileWriteInteger FileWriteString GetLastError GetTickCount GlobalVariableCheck GlobalVariableDel GlobalVariableGet GlobalVariableName GlobalVariableSet GlobalVariableSetOnCondition GlobalVariablesDeleteAll GlobalVariablesTotal HideTestIndicators Hour iAC iAD iAlligator iADX iATR iAO iBars iBarShift iBearsPower iBands iBandsOnArray iBullsPower iBWMFI iCCI iCCIOnArray iClose iCustom iDeMarker iEnvelopes iEnvelopesOnArray iForce iFractals iGator iIchimoku iMomentum iMomentumOnArray iMFI iMA iMACD iMAOnArray iHigh iHighest iLow iLowest iOBV iOpen iOsMA IndicatorBuffers IndicatorCounted IndicatorDigits IndicatorShortName iRSI iRSIOnArray iRVI iSAR IsConnected IsDemo IsDllsAllowed IsExpertEnabled IsLibrariesAllowed IsOptimization IsStopped iStdDev iStdDevOnArray iStochastic IsTesting IsTradeAllowed IsTradeContextBusy IsVisualMode iTime iVolume iWPR MarketInfo MathAbs MathArccos MathArcsin MathArctan MathCeil MathCos MathExp MathFloor MathLog MathMax MathMin MathMod MathPow MathRand MathRound MathSin MathSqrt MathSrand MathTan MessageBox Minute Month NormalizeDouble ObjectCreate ObjectDelete ObjectDescription ObjectFind ObjectGet ObjectGetFiboDescription ObjectGetShiftByValue ObjectGetValueByShift ObjectMove ObjectName ObjectsDeleteAll ObjectSet ObjectSetFiboDescription ObjectSetTextObjectsTotal ObjectType OrderClose OrderCloseBy OrderClosePrice OrderCloseTime OrderComment OrderCommission OrderDelete OrderExpiration OrderLots OrderMagicNumber OrderModify OrderOpenPrice OrderOpenTime OrderPrint OrderProfit OrderSelect OrderSend OrdersHistoryTotal OrderStopLoss OrdersTotal OrderSwap OrderSymbol OrderTakeProfit OrderTicket OrderType Period PlaySound Print RefreshRates Seconds SendFTP SendMail SetIndexArrow SetIndexBuffer SetIndexDrawBegin SetIndexEmptyValue SetIndexLabel SetIndexShift SetIndexStyle SetLevelStyle SetLevelValue Sleep StringConcatenate StringFind StringGetChar StringLen StringSetChar StringSubstr StringTrimLeft StringTrimRight StrToDouble StrToInteger StrToTime Symbol TerminalCompany TerminalName TerminalPath TimeCurrent TimeDay TimeDayOfWeek TimeDayOfYear TimeHour TimeLocal TimeMinute TimeMonth TimeSeconds TimeToStr TimeYear UninitializeReason WindowBarsPerChart WindowExpertName WindowFind WindowFirstVisibleBar WindowHandle WindowIsVisible WindowOnDropped WindowPriceMax WindowPriceMin WindowPriceOnDropped WindowRedraw WindowScreenShot WindowTimeOnDropped WindowsTotal WindowXOnDropped WindowYOnDropped Year start init deinit color bool asm auto break case char const continue default do double else enum extern float for goto if inline int long register return short signed sizeof static struct switch typedef union unsigned void volatile while FALSE NULL TRUE

secondary=
# these are some doxygen keywords (incomplete)
docComment=attention author brief bug class code date def enum example exception file fn namespace note param remarks return see since struct throw todo typedef var version warning union

[settings]
# default extension used when saving files
#extension=c

# the following characters are these which a "word" can contains, see documentation
#wordchars=_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789

# if only single comment char is supported like # in this file, leave comment_close blank
comment_open=//
comment_close=
# this is an alternative way, so multiline comments are used
#comment_open=/*
#comment_close=*/

# set to false if a comment character/string should start at column 0 of a line, true uses any
# indentation of the line, e.g. setting to true causes the following on pressing CTRL+d
	#command_example();
# setting to false would generate this
#	command_example();
# This setting works only for single line comments
comment_use_indent=true

# context action command (please see Geany's main documentation for details)
context_action_cmd=

[build_settings]
# %f will be replaced by the complete filename
# %e will be replaced by the filename without extension
# (use only one of it at one time)
compiler="E:\Programme\MBT MetaTrader 4\metalang.exe" "%f"
linker="E:\Programme\MBT MetaTrader 4\metalang.exe" "%f"
run_cmd="E:\Programme\MBT MetaTrader 4\metalang.exe" "%f"
